/*
 * H_STM32F4_UART_1.h
 *
 *  Created on: 2024/11/17
 *      Author: egaono-electronics
 */

#ifndef H_STM32F4_UART_1_H_
#define H_STM32F4_UART_1_H_

#include "Dev_Conf.h"

#include def_Header_HAL

#include "H_Common_STM32F4_UART.h"



//----------------------------------------------
// Semaphoreの定義 : UART1
//----------------------------------------------
#define def_Bit_SemaphoreUART1  0x01
//----------------------------------------------



//----------------------------------------------------------
// UART制御パラメータ : UART1
//----------------------------------------------------------

//--------------------------------------
// UART handler declaration : UART1
//--------------------------------------
extern UART_HandleTypeDef Handle_UART1;
//--------------------------------------


//------------------------------------------------------
// Handle UART用パラメータの構造体の宣言 : UART1
//------------------------------------------------------
extern struct sParam_Handle_UARTx  GLB_structParam_Handle_UART1;
//------------------------------------------------------


// 送信Buffer : UART1
extern uint8_t GLB_uint8_aTx1_Buffer[def_Tx1_BufferSize];

// 受信Buffer : UART1
extern uint8_t GLB_uint8_aRx1_Buffer[def_Rx1_BufferSize];


// UART1通信処理用 受信データBuffer
extern uint8_t GLB_uint8_aReceiveData_UART1[def_Rx1_BufferSize];
//----------------------------------------------------------



#endif /* H_STM32F4_UART_1_H_ */
